org.jgroups.conf

## Class PropertyConverters

- java.lang.Object
- - org.jgroups.conf.PropertyConverters

    public class PropertyConverters
    extends java.lang.Object

Groups a set of standard PropertyConverter(s) supplied by JGroups.

Third parties can provide their own converters if such need arises by implementing `PropertyConverter` interface and by specifying that converter as converter on a specific Property annotation of a field or a method instance.

Author:
  Vladimir Blagojevic

### Nested Class Summary

Nested Classes
`static class` `PropertyConverters.BindInterface`
`static class` `PropertyConverters.Default`
`static class` `PropertyConverters.FlushInvoker`
`static class` `PropertyConverters.InitialHosts`
`static class` `PropertyConverters.InitialHosts2`
`static class` `PropertyConverters.LongArray`
`static class` `PropertyConverters.NetworkInterfaceList`

### Constructor Summary

Constructors
Constructor and Description
`PropertyConverters()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyConverters

    public PropertyConverters()